## node-urlgrey 0.4.4%2Bdfsg

=== debian/watch ===
version=4
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/cainus/urlgrey
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts="\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg,compression=xz,repack, \
filenamemangle=s/.*=(urlgrey-@ANY_VERSION@)\.tgz/$1.tar.gz/" \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/urlgrey .*=urlgrey-@ANY_VERSION@.tgz

## node-urlgrey 0.4.4+dfsg

=== Makefile ===
REPORTER = spec

lint:
	./node_modules/.bin/jshint ./test ./index.js ./util.js

browser-test:
	$(MAKE) browser-build
	gnome-open test.html

browser-build-min:
	@rm -f urlgrey.min.js
	@./node_modules/.bin/browserify index.js \
		-s urlgrey | \
	./node_modules/.bin/uglifyjs > urlgrey.min.js

browser-build:
	@rm -f urlgrey.js
	@./node_modules/.bin/browserify index.js \
		-s urlgrey > urlgrey.js

precommit:
	$(MAKE) test
	$(MAKE) browser-build
	$(MAKE) browser-build-min
	echo "Artifacts built!"

test:
	$(MAKE) lint
	@NODE_ENV=test ./node_modules/.bin/mocha -b --reporter $(REPORTER)

test-cov:
	$(MAKE) lint
	@NODE_ENV=test ./node_modules/.bin/istanbul cover \
	./node_modules/mocha/bin/_mocha -- -R spec

test-coveralls:
	echo TRAVIS_JOB_ID $(TRAVIS_JOB_ID)
	$(MAKE) test
	@NODE_ENV=test ./node_modules/.bin/istanbul cover \
	./node_modules/mocha/bin/_mocha --report lcovonly -- -R spec && \
		cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js || true

.PHONY: test

=== debian/changelog ===
node-urlgrey (0.4.4+dfsg-2) unstable; urgency=medium

  * Move to salsa
  * Move to section javascript
  * Bump policy and compat

 -- Bastien Roucariès <rouca@debian.org>  Sat, 30 Jun 2018 23:43:53 +0200

node-urlgrey (0.4.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #858651)
  * Fix a few source problems by repacking:
    + browser/ directory include file from other npm projects
      without credit.
    + util.js include part of other npm projects without
      proper credit.

 -- Bastien Roucariès <rouca@debian.org>  Sat, 25 Mar 2017 17:49:04 +0100

=== debian/control ===
Source: node-urlgrey
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs
Standards-Version: 4.1.4
Homepage: https://github.com/cainus/urlgrey
Vcs-Git: https://salsa.debian.org/js-team/node-urlgrey.git
Vcs-Browser: https://salsa.debian.org/js-team/node-urlgrey

Package: node-urlgrey
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: urlgrey is a library for url querying and manipulation
 urlgrey is a library for url manipulation. It's a chainable/fluent interface
 that makes a number of methods available for querying different aspects
 of a url, and even modifying it to create new urls.
 .
 Most methods are named after different parts of the url
 and allow you to read that part from the current url if you don't pass
 any parameters, or they allow you to generate a new url
 with a change to that part in the current url if you do pass a parameter.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	echo "See debian/TODO"
	true

override_dh_auto_test:
	echo "See debian/TODO"
	true

=== debian/tests/control ===
Tests: require
Depends: node-urlgrey

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 opts="\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg,compression=xz,repack, \
 filenamemangle=s/.*=(urlgrey-@ANY_VERSION@)\.tgz/$1.tar.gz/" \
- http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/urlgrey .*=urlgrey-@ANY_VERSION@.tgz
+ https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/urlgrey .*=urlgrey-@ANY_VERSION@.tgz

## node-urlgrey 1.0.0+~1.1.3

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 test:
 	$(MAKE) lint
-	@NODE_ENV=test ./node_modules/.bin/mocha -b --reporter $(REPORTER)
+	@NODE_ENV=test ./node_modules/.bin/mocha --bail --reporter $(REPORTER)
 
 test-cov:
 	$(MAKE) lint

=== debian/changelog ===
node-urlgrey (1.0.0+~1.1.3-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Update debian/watch to use npm registry
  * Drop dependency to nodejs
  * Use dh-sequence-nodejs auto install
  * Embed fast-url-parser
  * New upstream version 1.0.0+~1.1.3
  * Update copyright
  * Enable upstream test (mocha)

 -- Yadd <yadd@debian.org>  Tue, 18 Jan 2022 07:18:39 +0100

node-urlgrey (0.4.4+dfsg-4) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 15 Sep 2021 10:07:51 +0100

node-urlgrey (0.4.4+dfsg-3) unstable; urgency=medium

  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix field name typos in debian/copyright.
  * Apply multi-arch hints.
    + node-urlgrey: Add Multi-Arch: foreign.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 28 Aug 2021 23:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Bastien Roucariès <rouca@debian.org>
-Build-Depends:
- debhelper (>= 11)
- , dh-buildinfo
- , nodejs
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , chai <!nocheck>
+ , mocha <!nocheck>
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-urlgrey
+Vcs-Git: https://salsa.debian.org/js-team/node-urlgrey.git
 Homepage: https://github.com/cainus/urlgrey
-Vcs-Git: https://salsa.debian.org/js-team/node-urlgrey.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-urlgrey
+Testsuite: autopkgtest-pkg-nodejs
+Rules-Requires-Root: no
 
 Package: node-urlgrey
 Architecture: all
-Depends:
- ${misc:Depends}
- , nodejs
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Provides: ${nodejs:Provides}
 Description: urlgrey is a library for url querying and manipulation
  urlgrey is a library for url manipulation. It's a chainable/fluent interface
  that makes a number of methods available for querying different aspects

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none" \
 https://registry.npmjs.org/urlgrey https://registry.npmjs.org/urlgrey/-/urlgrey-(\d[\d\.]*)@ARCHIVE_EXT@ group

opts=\
component=fast-url-parser,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-urlparser-$1/ \
 https://github.com/petkaantonov/urlparser/tags .*/archive.*/v?([\d\.]+).tar.gz group
